﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DropDownList_Set_Selected_EF_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            List<SelectListItem> customerList = GetCustomers();

            //Set the Item with ID '2' as Selected.
            customerList.Find(c => c.Value == "2").Selected = true;
            return View(customerList);
        }

        private static List<SelectListItem> GetCustomers()
        {
            CustomersEntities entities = new CustomersEntities();
            List<SelectListItem> customerList = (from p in entities.Customers.AsEnumerable()
                                                 select new SelectListItem
                                                 {
                                                     Text = p.Name,
                                                     Value = p.CustomerId.ToString()
                                                 }).ToList();

            return customerList;
        }
    }
}